SDL_gfx 2.0.25

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
SDL_gfxBresenhamIterator Struct Reference

The structure passed to the internal Bresenham iterator. More...

## Data Fields

Sint16 | x
Sint16 | y
int | dx
int | dy
int | s1
int | s2
int | swapdir
int | error
Uint32 | count

## Detailed Description

The structure passed to the internal Bresenham iterator.

Definition at line 51 of file SDL_gfxPrimitives.c.

## Field Documentation

Uint32 count

Definition at line 54 of file SDL_gfxPrimitives.c.

int dx

Definition at line 53 of file SDL_gfxPrimitives.c.

int dy

Definition at line 53 of file SDL_gfxPrimitives.c.

int error

Definition at line 53 of file SDL_gfxPrimitives.c.

int s1

Definition at line 53 of file SDL_gfxPrimitives.c.

int s2

Definition at line 53 of file SDL_gfxPrimitives.c.

int swapdir

Definition at line 53 of file SDL_gfxPrimitives.c.

Sint16 x

Definition at line 52 of file SDL_gfxPrimitives.c.

Sint16 y

Definition at line 52 of file SDL_gfxPrimitives.c.

The documentation for this struct was generated from the following file:

- I:/Sources/sdlgfx/SDL_gfxPrimitives.c